document.addEventListener("DOMContentLoaded", function() {
    auth.onAuthStateChanged(user => {
        if (user) {
            document.getElementById("login-container").style.display = "none";
            document.getElementById("dashboard").style.display = "block";
        } else {
            document.getElementById("login-container").style.display = "block";
            document.getElementById("dashboard").style.display = "none";
        }
    });
});

function login() {
    const email = document.getElementById("email").value;
    const password = document.getElementById("password").value;
    auth.signInWithEmailAndPassword(email, password)
        .then(() => {
            document.getElementById("login-container").style.display = "none";
            document.getElementById("dashboard").style.display = "block";
        })
        .catch(error => alert("Erro no login: " + error.message));
}

function logout() {
    auth.signOut().then(() => {
        document.getElementById("login-container").style.display = "block";
        document.getElementById("dashboard").style.display = "none";
    });
}

function fetchNurses() {
    db.collection("nurses").get().then(snapshot => {
        let output = "<h3>Available Nurses:</h3>";
        snapshot.forEach(doc => {
            const nurse = doc.data();
            output += `<p>${nurse.name} - ${nurse.specialty}</p>`;
        });
        document.getElementById("nurses-list").innerHTML = output;
    }).catch(error => console.error("Erro ao buscar enfermeiros:", error.message));
}

// Criar usuário Pedro se não existir
auth.fetchSignInMethodsForEmail("pedro@googlebolt.com")
    .then(methods => {
        if (methods.length === 0) {
            return auth.createUserWithEmailAndPassword("pedro@googlebolt.com", "VidaBella2025@!");
        }
    })
    .then(userCredential => {
        if (userCredential) {
            console.log("Usuário Pedro criado com sucesso");
        }
    })
    .catch(error => console.error("Erro ao verificar/criar usuário Pedro:", error.message));
